import excel ChannelLineupsWithViewership.xlsx, sheet("Sheet1") firstrow clear
save ChannelsByPackages.dta, replace
import excel ChannelLineupsWithViewership.xlsx, sheet("Sheet2") firstrow clear
merge m:m Channel using ChannelsByPackages.dta
drop _m

* Rename quality metrics
rename PMHHLDCVGAA q1
rename PMHHLDAA000 q2
rename PMP2AA000 q3
rename AMHHLDCVGAA q4
rename AMHHLDAA000 q5
rename AMP2AA000 q6

* Create quality metrics for Economy, Starter, Preferred, Premier
gen econq1=Economy*q1
gen econq2=Economy*q2
gen econq3=Economy*q3
gen econq4=Economy*q4
gen econq5=Economy*q5
gen econq6=Economy*q6

gen starq1=Starter*q1
gen starq2=Starter*q2
gen starq3=Starter*q3
gen starq4=Starter*q4
gen starq5=Starter*q5
gen starq6=Starter*q6

gen prefq1=Preferred*q1
gen prefq2=Preferred*q2
gen prefq3=Preferred*q3
gen prefq4=Preferred*q4
gen prefq5=Preferred*q5
gen prefq6=Preferred*q6

gen premq1=Premier*q1
gen premq2=Premier*q2
gen premq3=Premier*q3
gen premq4=Premier*q4
gen premq5=Premier*q5
gen premq6=Premier*q6

* Sum up to create bundle-level quality
egen econQ1=total(econq1)
egen econQ2=total(econq2)
egen econQ3=total(econq3)
egen econQ4=total(econq4)
egen econQ5=total(econq5)
egen econQ6=total(econq6)

egen starQ1=total(starq1)
egen starQ2=total(starq2)
egen starQ3=total(starq3)
egen starQ4=total(starq4)
egen starQ5=total(starq5)
egen starQ6=total(starq6)

egen prefQ1=total(prefq1)
egen prefQ2=total(prefq2)
egen prefQ3=total(prefq3)
egen prefQ4=total(prefq4)
egen prefQ5=total(prefq5)
egen prefQ6=total(prefq6)

egen premQ1=total(premq1)
egen premQ2=total(premq2)
egen premQ3=total(premq3)
egen premQ4=total(premq4)
egen premQ5=total(premq5)
egen premQ6=total(premq6)

collapse econQ* starQ* prefQ* premQ*
xpose, clear varname
rename v1 channelquality

* Create bundle identifiers
gen economy=0
replace economy=1 if _n<7
gen starter=0
replace starter=1 if _n>6 & _n<13
gen preferred=0
replace preferred=1 if _n>12 & _n<19

drop if _n>18

* Create quality measure dummies
gen quality=0
replace quality=1 if _n == 1 | _n == 7 | _n == 13 | _n==19
replace quality=2 if _n == 2 | _n == 8 | _n == 14 | _n==20
replace quality=3 if _n == 3 | _n == 9 | _n == 15 | _n==21
replace quality=4 if _n == 4 | _n == 10 | _n == 16 | _n==22
replace quality=5 if _n == 5 | _n == 11 | _n == 17 | _n==23
replace quality=6 if _n == 6 | _n == 12 | _n == 18 | _n==24
drop _varname

keep if quality==1
save ChannelBundleQualities.dta, replace
















